/*
 * Theme Name:   Pronatur
 * Theme URI:    https://media-design-concept.com/
 * Description:  Bricks Child Theme
 * Author:       Klark
 * Author URI:   https://media-design-concept.com/
 * Template:     bricks
 * Version:      1.0
 * Text Domain:  pronatur
 */

/* ==========================================================================
   VARIABLES
   ========================================================================== */
:root {
	--core-rot: var(--bricks-color-rot-id);
}
/* Responsive Variables
   ========================================================================== */
@media (max-width: 768px) {
	:root {
		--container-padding-x: 15px !important;
	}
}
/* ==========================================================================
   HELPER CLASSES
   ========================================================================== */
/* Responsive Display Classes */
@media (min-width: 769px) {
	:root body.brx-body .display-only-mobile {
		display: none;
	}
}
@media (max-width: 768px) {
	:root body.brx-body .display-only-desktop {
		display: none;
	}
}
/* ==========================================================================
   FONTS
   ========================================================================== */
@font-face {
	font-family: 'Open Sans Fallback';
	src: local(Arial);
	size-adjust: 107%;
	ascent-override: 95%;
	line-gap-override: normal;
}
@font-face {
	font-display: swap;
	font-family: 'Open Sans';
	font-style: normal;
	font-weight: 400;
	src: url('/wp-content/themes/bricks-core/css/fonts/open-sans-v40-latin-regular.woff2') format('woff2');
}
@font-face {
	font-display: swap;
	font-family: 'Open Sans';
	font-style: normal;
	font-weight: 700;
	src: url('/wp-content/themes/bricks-core/css/fonts/open-sans-v40-latin-700.woff2') format('woff2');
}
/* ==========================================================================
   TYPOGRAPHY & TEXT WRAPPING
   ========================================================================== */
/* Schriftgrößen mobil skalieren
@media only screen and (max-width: 1200px) {
	html {
		font-size: 55%;
	}
}
*/
body {
	font-family: 'Open Sans', 'Open Sans  Fallback', 'Arial', sans-serif;
	hyphens: auto;
}
/* Headings & Pseudo-Headings */
h1, h2, h3, h4, h5,
.style-h1, .style-h2, .style-h3, .style-h4, .style-h5 {
	display: block;
    overflow-wrap: break-word;
    text-wrap: balance;
    hyphenate-limit-chars: auto 8;
    -webkit-hyphenate-limit-before: 8;
    -webkit-hyphenate-limit-after: 8;
}
@media only screen and (max-width: 768px) {
	h1, h2, h3, h4, h5,
	.style-h1, .style-h2, .style-h3, .style-h4, .style-h5 {
		hyphens: auto;
		hyphenate-limit-chars: auto 8;
		-webkit-hyphenate-limit-before:8;
    	-webkit-hyphenate-limit-after: 6;
	}
}
/* ==========================================================================
   SPECIAL HTML ELEMENTS
   ========================================================================== */
/* Anchor Link Scroll Padding */
html {
	scroll-padding-top: calc(var(--header-height-full) + 20px);
}
/* Focus Outlines 
body.bricks-is-frontend :focus-visible {
	outline: 2px dashed currentcolor !important;
	outline-offset: -2px;
}
/* Fade-In-Effekt für Lazy Load  */
img[data-src] {
	opacity: 0;
}
img[data-type]:not([data-src]) {
	transition: opacity 100ms ease-out, scale 100ms linear;
	opacity: 1;
}
/* ==========================================================================
   LAYOUT & STRUKTUR
   ========================================================================== */
/* Standard Spacing, Padding, Margins*/
:is(.brxe-text, .brxe-text-basic) > :not(a):first-child {
	margin-top: 0 !important;
	padding-top: 0 !important;
}
:is(.brxe-text, .brxe-text-basic) :not(:is(a, li)):last-child {
	margin-bottom: 0 !important;
	padding-bottom: 0 !important;
}

/* Disable SVG Minimum Sizes  */
svg:not([height]) {
	min-height: unset;
}
svg:not([width]) {
	min-width: unset;
}
/* ==========================================================================
   LINKS & BUTTONS
   ========================================================================== */
/* Reguläre Links - Hover */
main a:not(.brxe-button, .brxe-block) {
	text-decoration: underline;
}
/* Leere Links - Hover */
a[href="#"]:hover {
/* 	cursor: default; */
}
/* ==========================================================================
   ELEMENTE
   ========================================================================== */